> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ekiden.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ADL Alerts

> Get the latest ADL alert snapshot for one symbol or all pools.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/market/adl-alert
openapi: 3.1.0
info:
  title: ekiden-gateway
  description: >-
    API Gateway and WebSocket proxy based on Axum and Utoipa, handling auth,
    rate limiting, and connection buffering.
  license:
    name: ''
  version: 0.1.1
servers:
  - url: https://api.cnt.ekiden.fi/
    description: Testnet
  - url: https://api.canton.ekiden.fi/
    description: Staging
security: []
paths:
  /api/v1/market/adl-alert:
    get:
      tags:
        - Market
      summary: Get ADL Alerts
      description: Get the latest ADL alert snapshot for one symbol or all pools.
      operationId: get_adl_alert
      parameters:
        - name: symbol
          in: query
          required: false
          schema:
            oneOf:
              - type: 'null'
              - $ref: '#/components/schemas/Symbol'
      responses:
        '200':
          description: ADL alert snapshots
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAdlAlertsResponse'
        '503':
          description: Trading temporarily unavailable
components:
  schemas:
    Symbol:
      type: string
      example: BTC-USDCx
    GetAdlAlertsResponse:
      type: object
      required:
        - list
      properties:
        list:
          type: array
          items:
            $ref: '#/components/schemas/AdlAlertSnapshot'
    AdlAlertSnapshot:
      type: object
      required:
        - pool_id
        - pool_group_id
        - symbol
        - adl_mode
        - equity
        - updated_time
      properties:
        adl_mode:
          type: string
        adl_trigger_reason:
          type:
            - string
            - 'null'
        equity:
          type: string
        latest_pnl_ratio:
          type:
            - string
            - 'null'
        pool_group_id:
          type: string
        pool_id:
          type: string
        symbol:
          $ref: '#/components/schemas/Symbol'
        updated_time:
          type: string
          format: date-time
          example: '1672531200000'

````